//
//  IProgress.m
//  ArmorP3V1
//

#import "PSProgressView2.h"
#import "Repository.h"
#import "PSMutex.h"

@implementation PSProgressView2

-(id)initWithRoot:(PSProgressView *)mainView {
    self = [super init];
    if (self) {
        _mainView = mainView;
    }else {
        [[PSMutex mainMutex] raiseMemoryError];
    }
    [[PSMutex mainMutex] showMemoryAlertIfError];
    return self;
}

-(float)percent {
    return _mainView.percent2;
}

-(void)setPercent:(float)percent {
    _mainView.percent2 = percent;
}

-(NSString *)labelText {
    return _mainView.labelText2;
}

-(void)setLabelText:(NSString *)labelText {
    _mainView.labelText2 = labelText;
}

-(BOOL)cancelFlag {
    return _mainView.cancelFlag;
}

-(void)setCancelFlag:(BOOL)cancelFlag {
    _mainView.cancelFlag = cancelFlag;
}

@end
